package opc.ua.services.sets;

import opc.ua.addressspace.datatype.NodeId;
import opc.ua.services.common.RequestHeader;
import opc.ua.services.common.ResponseHeader;

public class UnregisterNodes {

	/**
	 * request
	 */
	private RequestHeader requestHeader;
	private NodeId[] nodesToUnregister;
	
	/**
	 * response
	 */
	private ResponseHeader responseHeader;


	public RequestHeader getRequestHeader() {
		return requestHeader;
	}

	public void setRequestHeader(RequestHeader requestHeader) {
		this.requestHeader = requestHeader;
	}

	public NodeId[] getNodesToUnregister() {
		return nodesToUnregister;
	}

	public void setNodesToUnregister(NodeId[] nodesToUnregister) {
		this.nodesToUnregister = nodesToUnregister;
	}

	public ResponseHeader getResponseHeader() {
		return responseHeader;
	}

	public void setResponseHeader(ResponseHeader responseHeader) {
		this.responseHeader = responseHeader;
	}
	
}
